
; Converts a 32-bit integer into the corresponding ASCII representation.
; The ASCII number will be left justified and no additional bytes are
; written.
;
; IN  : eax == number to convert
;       edi == pointer to start of buffer of length 10 bytes
;
; OUT : ebx == number of characters in buffer
;       edi == pointer to first free byte after ASCII number
;
; REGS: eax, ebx, ecx, edx, edi modified

macro	@itoa
{
	local	..itoa,..store

	mov	ecx, 10 	; base
	xor	ebx, ebx	; character counter

 ..itoa:
	xor	edx, edx
	div	ecx
	inc	ebx
	or	edx, '0'
	test	eax, eax
	push	edx
	jnz  ..itoa
	mov	ecx, ebx

 ..store:
	pop	eax
	dec	ecx
	stosb
	jnz  ..store
}
